---
title: File.getAsText()
slug: Web/API/File/getAsText
tags:
  - API
  - File API
  - Files
  - Method
  - Non-standard
  - Obsolete
  - Reference
---
<p>{{APIRef("File API") }}{{non-standard_header}}</p>

<p>{{obsolete_header(7.0)}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>getAsText</code> method provides the file's data interpreted as text using a given encoding.</p>

<div class="note">
<p><strong>Note:</strong> This method is obsolete; you should use the {{domxref("FileReader")}} method {{domxref("FileReader.readAsText()","readAsText()")}} instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre>var <var>str</var> = <var>instanceOfFile</var>.getAsText(<var>encoding</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><var>encoding</var></dt>
 <dd>A string indicating the encoding to use for the returned data. If this string is empty, UTF-8 is assumed.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string containing the file's data interpreted as text in the specified <code>encoding</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// fileInput is a HTMLInputElement: &lt;input type="file" id="myfileinput" multiple&gt;
var fileInput = document.getElementById("myfileinput");

// files is a FileList object (similar to NodeList)
var files = fileInput.files;

// object for allowed media types
var accept = {
  binary : ["image/png", "image/jpeg"],
  text   : ["text/plain", "text/css", "application/xml", "text/html"]
};

var file;

for (var i = 0; i &lt; files.length; i++) {
  file = files[i];

  // if file type could be detected
  if (file !== null) {
    if (accept.text.indexOf(file.mediaType) &gt; -1) {
      // file is of type text, which we accept
      // make sure it's encoded as utf-8
      var data = file.getAsText("utf-8");
      // modify data with string methods

    } else if (accept.binary.indexOf(file.mediaType) &gt; -1) {
      // binary
    }
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("File")}}</li>
 <li>{{domxref("FileReader")}}</li>
</ul>
